> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Splits

> Returns stock split data including split ratios, announcement dates, ex-dates, and distribution dates. Stock splits occur when a company increases or decreases the number of outstanding shares to adjust the stock price. Includes information about whether the stock is optionable.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "splits": [
      {
        "cusip": "87807D509",
        "date_announced": "2025-12-30",
        "date_distribution": "2025-01-06",
        "date_ex": "2025-01-07",
        "date_recorded": "2025-01-02",
        "exchange": "NASDAQ",
        "id": "677675329a903000017cb6f1",
        "importance": 1,
        "name": "TC BioPharm (Holdings)",
        "notes": "",
        "optionable": false,
        "ratio": "1.25:1",
        "split_type": "ADR Ratio Change",
        "ticker": "TCBP",
        "updated": 1735816783
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v2.1/calendar/splits
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar/splits:
    get:
      tags:
        - splits
      summary: Returns the splits calendar data
      description: >-
        Returns stock split data including split ratios, announcement dates,
        ex-dates, and distribution dates. Stock splits occur when a company
        increases or decreases the number of outstanding shares to adjust the
        stock price. Includes information about whether the stock is optionable.
      operationId: get-splits
      parameters:
        - description: >-
            Specifies return format. Query parameters work the same for both
            formats
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pagesize
          schema:
            type: integer
        - description: >-
            Date to query for calendar data. Shorthand for date_from and date_to
            if they are the same. Defaults for latest
          in: query
          name: parameters[date]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query from point in time
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query to point in time
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to filter and sort calendar by. Default is `announced`
          in: query
          name: parameters[date_search_field]
          schema:
            type: string
            enum:
              - announced
              - ex
            default: announced
        - description: >-
            The importance level to filter by. Uses Greater Than or Equal To the
            importance indicated
          in: query
          name: parameters[importance]
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
        - description: One or more ticker symbols separated by a comma. Maximum 50 tickers
          in: query
          name: parameters[tickers]
          schema:
            type: string
            format: csv
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: parameters[updated]
          schema:
            type: integer
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.SplitResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.SplitResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.SplitResponse:
      description: API response containing an array of stock split records
      properties:
        splits:
          items:
            $ref: '#/components/schemas/calendarapi.Split'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.Split:
      properties:
        cusip:
          example: 88160R101
          type: string
        date_announced:
          example: '2024-01-09'
          type: string
        date_distribution:
          example: '2024-02-15'
          type: string
        date_ex:
          example: '2024-02-14'
          type: string
        date_recorded:
          example: '2024-02-10'
          type: string
        exchange:
          example: NASDAQ
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5a8
          type: string
        importance:
          example: 4
          type: integer
        name:
          example: Tesla Inc.
          type: string
        notes:
          example: Forward stock split
          type: string
        optionable:
          example: true
          type: boolean
        ratio:
          example: 3-1
          type: string
        split_type:
          example: Split
          type: string
        ticker:
          example: TSLA
          type: string
        updated:
          example: 1704819600
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````